package Launch;

use System;

sub read {
  my($class) = @_;

  return $URLS if ($URLS);

  $URLS = Util->deserialize("UrlLaunch.txt") || {};
  bless($URLS, 'Launch');
  return $URLS;
}

# long to display the name with the gif
sub link {
  my($urls, $type, $dev, $long, $target) = @_;

  $target= "apps" if (!$target);

  my $u_name  = $urls->{$type}[0];
  my $u_value = $urls->{$type}[1];
  my $u_name2 = $urls->{$type}[2];
  my $u_value2 = $urls->{$type}[3];
  return undef if (!$dev && index($u_value, "\$ip") >= 0);

  my $ip = $dev->{ipno};
  my $lid = $dev->{LID};
  $u_value =~ s/\:\d+//          if ($ip =~ /\:\d+/);
  $u_value2 =~ s/\:\d+//         if ($ip =~ /\:\d+/);
  $u_value =~ s/http\:/https:/   if ($ip =~ /\:\d443/);
  $u_value2 =~ s/http\:/https:/  if ($ip =~ /\:\d443/);

  $u_value =~ s/\$ip/$ip/;
  $u_value2 =~ s/\$ip/$ip/;

  $u_value =~ s/\$lid/$lid/;
  $u_value2 =~ s/\$lid/$lid/;

  $launch = "&nbsp;<a href=$u_value target=$target><img src=/gif/urllink.gif alt=\"Launch $u_name\" border=0>" .
     ($long ? $u_name : "") . "</a>";

  if ($u_name2) {
    $launch .= "&nbsp;<a href=$u_value2 target=$target><img src=/gif/urllink.gif alt=\"Launch $u_name2\" border=0>" . 
     ($long ? $u_name2 : "") . "</a>";
  }
  return $launch;
}

1;




